<!DOCTYPE html>
<app-unified-header></app-unified-header>
<br>
<div class='container'>
    <div class="row">
        <div class="col-sm-0 col-md-2"></div>
        <div class="col-md-8">
            <fieldset>
                <app-library-selector [config]="librarySelectorConfig"></app-library-selector>
                <form method="post" id="iiif-importer-import-form">

                    <div class="iiif-importer-input-div">
                        <label for="iiif-importer-book_url-input" class="iiif-importer-form-label">book_url:</label><br>
                        <input type="text" id="iiif-importer-book_url-input" name="url" class="iiif-importer-form-input" required>
                    </div>

                    <div class="iiif-importer-input-div">
                        <label for="iiif-importer-upsert-input" class="iiif-importer-form-label">upsert:</label><br>
                        <select class="iiif-importer-form-input" id="iiif-importer-upsert-input" name="upsert" required>
                            <option>true</option>
                            <option>false</option>
                        </select>
                    </div>

                    <div class="iiif-importer-input-div">
                        <button type="button" id="iiif-importer-submit-button-import" (click)="importBook()">import</button>
                    </div>

                </form>
                <div id="iiif-importer-import-status">
                    <div id="iiif-importer-import-success-status" style="display: none;">
                        <hr>
                        <font color="green">Success!</font><br>
                        imported book id is <code id="iiif-importer-imported-book_id-cell" (click)="navigateToImportedBookPage()"></code>
                    </div>
                    <div id="iiif-importer-import-error-status" style="display: none;">
                        <hr>
                        <font color="red">Error!</font><br>
                        error response is:<br>
                        <pre id="iiif-importer-import-error-response-cell"></pre>
                    </div>
                    <div id="iiif-importer-import-progress-status" style="display: none;">
                        <hr>
                        importing in progress...<br>
                        <span id="iiif-importer-progress-info"></span><br>
                        <span id="iiif-importer-progress-bar"></span>
                    </div>
                    <div id="iiif-importer-import-unauthorized-status" style="display: none;">
                        <hr>
                        unauthorized. you have to authorize us to import.
                    </div>
                </div>
            </fieldset>

        </div>
        <div class="col-sm-0 col-md-2"></div>
</div>
</div>
